[oe-commits] org.oe.oz354x gpm: provide libgpm.so.1 link, use update-rc.d class, add initscript (from .dev)

hrw commit openembedded-commits at lists.openembedded.org
Wed Jan 10 13:12:22 UTC 2007


gpm: provide libgpm.so.1 link, use update-rc.d class, add initscript (from .dev)

Author: hrw at openembedded.org
Branch: org.openembedded.oz354x
Revision: 94b3a39896765ad007d751c06ae82a76b52d227a
ViewMTN: http://monotone.openembedded.org/revision.psp?id=94b3a39896765ad007d751c06ae82a76b52d227a
Files:
1
packages/gpm/gpm-1.20.1/init
packages/gpm/gpm_1.20.1.bb
Diffs:

#
# mt diff -r94c88b017c30d8c0a897f48d2666d6020469772b -r94b3a39896765ad007d751c06ae82a76b52d227a
#
# 
# 
# add_file "packages/gpm/gpm-1.20.1/init"
#  content [739655dd736fdc7149c60244434cdb334d2a1d1e]
# 
# patch "packages/gpm/gpm_1.20.1.bb"
#  from [c555100d1eba666d4e20d88cf62f2e52e2afd72a]
#    to [c86e1d07a2d8663df3dd37be659660dbc98765a8]
# 
============================================================
--- packages/gpm/gpm-1.20.1/init	739655dd736fdc7149c60244434cdb334d2a1d1e
+++ packages/gpm/gpm-1.20.1/init	739655dd736fdc7149c60244434cdb334d2a1d1e
@@ -0,0 +1,32 @@
+#! /bin/sh  
+
+# Grab the common functions
+#. /etc/init.d/functions
+
+# FIXME: 
+# Add a configuration file for GPM here
+
+test -x /usr/sbin/gpm || exit 0
+
+case "$1" in
+  start)
+    if [ ! -p /dev/gpmdata ]; then
+    	mkfifo /dev/gpmdata
+    fi
+
+    echo "Starting GPM:" 
+    start-stop-daemon -S -x /usr/sbin/gpm -- -R -m /dev/psaux -t ps2
+    ;;
+  stop)
+    echo "Stopping GPM:" 
+    start-stop-daemon -K -x /usr/sbin/gpm
+    ;;
+  restart|force-reload) 
+    $0 stop
+    $0 start
+    ;;
+  *)
+    usage /etc/init.d/gpm
+esac
+
+exit 0
============================================================
--- packages/gpm/gpm_1.20.1.bb	c555100d1eba666d4e20d88cf62f2e52e2afd72a
+++ packages/gpm/gpm_1.20.1.bb	c86e1d07a2d8663df3dd37be659660dbc98765a8
@@ -1,17 +1,25 @@
+DESCRIPTION = "GPM (General Purpose Mouse) is a mouse server \
+for the console and xterm, with sample clients included \
+(emacs, etc)."
 SECTION = "console/utils"
 LICENSE = "GPL"
 DEPENDS = "ncurses"
-DESCRIPTION = "GPM (General Purpose Mouse) is a mouse server \
-for the console and xterm, with sample clients included \
-(emacs, etc)."
 
+PR = "r2"
+PARALLEL_MAKE = ""
+
 SRC_URI = "ftp://arcana.linux.it/pub/gpm/gpm-${PV}.tar.bz2 \
 	   file://configure.patch;patch=1 \
-	   file://no-docs.patch;patch=1"
+	   file://no-docs.patch;patch=1 \
+	   file://init"
 
-inherit autotools
+inherit autotools update-rc.d
 
+INITSCRIPT_NAME = "gpm"
+INITSCRIPT_PARAMS = "defaults"
+
 export LIBS = "-lm"
+
 do_configure_prepend () {
 	cp aclocal.m4 acinclude.m4
 }
@@ -23,4 +31,7 @@ do_install () {
 
 do_install () {
 	oe_runmake 'ROOT=${D}' install
+	install -d ${D}/${sysconfdir}/init.d
+	install -m 0755 ${WORKDIR}/init ${D}/${sysconfdir}/init.d/gpm
+	cd ${D}${libdir} && ln -sf libgpm.so.1.19.0 libgpm.so.1
 }






More information about the Openembedded-commits mailing list